curl -G https://getonym.com/api/v1/domains/acme.example/opportunities \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
r = requests.get(
"https://getonym.com/api/v1/domains/acme.example/opportunities",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
r.raise_for_status()
data = r.json()
const r = await fetch(
"https://getonym.com/api/v1/domains/acme.example/opportunities",
{ headers: { Authorization: "Bearer YOUR_API_KEY" } }
);
const data = await r.json();
{
"domain": "acme.example",
"status": "open",
"opportunities": [
{
"id": "6624581b-9577-44af-97bf-337998ba54bd",
"kind": "earned",
"title": "Join the conversation on reddit.com",
"why": "Cited in 133 answers that name Northwind, Globex, Initech and not Acme (259 answers cite it in total, 101 of them name you).",
"priority": 0.2995,
"priority_label": "high",
"status": "open",
"shipped_at": null,
"shipped_url": null,
"evidence": {
"host": "reddit.com",
"type": "UGC & community",
"gaps": 133,
"cited": 259,
"with_you": 101,
"answers": 444,
"competitors": [
[
"Northwind",
105
],
[
"Globex",
54
]
],
"urls": [
[
"https://www.reddit.com/r/nextjs/comments/1a2b3c/which_auth_provider_do_you_use/",
103
],
[
"https://www.reddit.com/r/SaaS/comments/9x8y7z/auth_for_b2b/",
58
]
],
"prompts": [
{
"id": "e330418a-cafa-458c-80f2-c85ea08d0010",
"text": "Which authentication service should I use for a Next.js SaaS?",
"gaps": 10
},
{
"id": "14686699-b479-4cf1-9b02-c9232ae704bc",
"text": "Best auth provider for a B2B app that needs SAML SSO and SCIM",
"gaps": 10
}
]
},
"impact": null
},
{
"id": "4687f796-4a9c-4155-a9e8-83f45e35ebfb",
"kind": "earned",
"title": "Get included on authcompare.example",
"why": "Cited in 94 answers that name Northwind, Globex, Initech and not Acme (170 answers cite it in total, 68 of them name you).",
"priority": 0.2117,
"priority_label": "high",
"status": "open",
"shipped_at": null,
"shipped_url": null,
"evidence": {
"host": "authcompare.example",
"type": "Editorial & other",
"gaps": 94,
"cited": 170,
"with_you": 68,
"answers": 444,
"competitors": [
[
"Northwind",
75
],
[
"Globex",
38
]
],
"urls": [
[
"https://authcompare.example/best-auth-providers-2026",
94
]
],
"prompts": [
{
"id": "14686699-b479-4cf1-9b02-c9232ae704bc",
"text": "Best auth provider for a B2B app that needs SAML SSO and SCIM",
"gaps": 10
},
{
"id": "e330418a-cafa-458c-80f2-c85ea08d0010",
"text": "Which authentication service should I use for a Next.js SaaS?",
"gaps": 9
}
]
},
"impact": null
}
]
}